<?php

namespace App\Http\Controllers;

use Osiset\BasicShopifyAPI\BasicShopifyAPI;
use Osiset\BasicShopifyAPI\Options;
use Osiset\BasicShopifyAPI\Session;
use Illuminate\Http\Request;
use Log;

class SurveyController extends Controller
{
    public $shopifyApi;

    public function __construct()
    {
        // Create options for the Shopify API
        $options = new Options();
        $options->setVersion('2020-01');
        // Create the client and session
        $this->shopifyApi = new BasicShopifyAPI($options);
        $this->shopifyApi->setSession(new Session(env('SHOPIFY_DOMAIN', true), env('SHOPIFY_API_PASSWORD', true)));
        $this->updateOrderTag();
    }

    public function updateCustomer()
    {
        
    }
}
