<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Model\IterableApi;
use Log;

class SurveyController extends Controller
{
    public $iterableObj;

    public function __construct()
    {
        $this->iterableObj = new IterableApi();
    }

    public function updateCustomer(Request $request)
    {
        $email = $request->input('email');

        $userIterableUpdateRequest = array(
            "email" => $email,
            "dataFields" => array(
                "customProperties" => $customProperties
            )
        );

        $userIterableUpdateResponse = $this->iterableObj->updateUserDataFields(json_encode($userIterableUpdateRequest));

        if (strtolower(trim($userIterableUpdateResponse->code)) == 'success') {
            Log::info("User quiz recommendation details - Successfully
        updated the user quiz recommendation in Iterable for Email (" .
                strtolower($recValue->email) . ")");
    //echo '<br>'.'successfully updated email- '.strtolower($recValue->email).', quiz_id- '.$recValue->session_id;
        } else {
            Log::info("User quiz recommendation details - Failed to update
        the user quiz recommendation in Iterable for Email (" .
                strtolower($recValue->email) . ")");
//echo '<br>'.'failed to update email- '.strtolower($recValue->email).', quiz_id- '.$recValue->session_id;
        }

    }
}
